RDKit: RDMIF::HBond Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDMIF::HBond Class Reference

class for calculation of hydrogen bond potential between probe and molecule More...

`#include <MIFDescriptors.h>`

## Public Member Functions
| HBond ()
| HBond (const RDKit::ROMol &mol, int confId=-1, const std::string &probeAtomType="OH", bool fixed=true, double cutoff=1.0)
| constructs HBond object from a molecule object
| ~HBond ()=default
double | operator() (double x, double y, double z, double thres) const
| returns the hydrogen bonding interaction at point `pt` in the molecules field in [kJ mol^-1]
unsigned int | getNumInteractions () const

## Detailed Description

class for calculation of hydrogen bond potential between probe and molecule

Definition at line 409 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## ◆ HBond() [1/2]

RDMIF::HBond::HBond | ( |  | ) |
| inline

Definition at line 411 of file MIFDescriptors.h.

## ◆ HBond() [2/2]

RDMIF::HBond::HBond | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | const std::string & | probeAtomType = "OH",
|  | bool | fixed = true,
|  | double | cutoff = 1.0 )

constructs HBond object from a molecule object

The molecule `mol` needs to have partial charges set as property of atoms.

Parameters

  mol | molecule object
  confId | conformation id which is used to get positions of atoms (default=-1)
  probeAtomType | atom type for the probe atom ("OH", "O", "NH", "N")
  fixed | for some groups, two different angle dependencies are defined in GRID: one which takes some flexibility of groups (rotation/swapping of lone pairs and hydrogen) into account and one for strictly fixed conformations if true, strictly fixed conformations (default: fixed)
  cutoff | minimum cutoff distance [A] (default: 1.0)

## ◆ ~HBond()

RDMIF::HBond::~HBond | ( |  | ) |
| default

## Member Function Documentation

## ◆ getNumInteractions()

unsigned int RDMIF::HBond::getNumInteractions | ( |  | ) | const
| inline

Definition at line 442 of file MIFDescriptors.h.

## ◆ operator()()

double RDMIF::HBond::operator() | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | thres ) const

returns the hydrogen bonding interaction at point `pt` in the molecules field in [kJ mol^-1]

Parameters

  x,y,z | coordinates at which the interaction is calculated
  thres | squared max distance until interactions are calc.

Returns
  hydrogen bonding interaction energy in [kJ mol^-1]

The documentation for this class was generated from the following file:

- MIFDescriptors.h